{% extends 'base.html' %}

{% load static %}

{% block title %}Leaderboard{% endblock %}

{% block body %}
  <div class="container">
    <a href="{% url 'home' %}">
      <img class="logo col-lg-4 col-md-6 col-sm-8 my-5"
           src="{% static 'img/logo.png' %}">
    </a>

    <div class="row justify-content-center mt-5">
      {% block content %}
        <div class="col-12">
          <div class="card">
            <div class="card-body table-responsive">
              <h3 class="card-title">Leaderboard</h3>

              <table class="table text-center">
                <thead>
                <tr>
                  <th scope="col">#</th>
                  <th>Player</th>
                  {% for type in types %}
                    <th scope="col">{{ type.name }}</th>
                  {% endfor %}
                </tr>
                </thead>

                <tbody>
                {% for player, achievements in table.items %}
                  <tr>
                    <th scope="row">{{ forloop.counter }}</th>
                    <td>{{ player.username }}</td>
                    {% for ach in achievements %}
                      <td>
                        {% if ach is not None %}
                          {{ ach.value|floatformat }}
                        {% endif %}
                      </td>
                    {% endfor %}
                  </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    {% endblock %}
  </div>
{% endblock %}
